import {
  select,
  json,
  geoPath,
  geoAlbersUsa,
  geoMercator,
} from 'd3';
import { feature, mesh } from 'topojson';

// Setting svg, projection and path generator as US centrict for projection
const svg = select('svg');
const projection = geoAlbersUsa();
const pathGenerator = geoPath().projection(projection);

// get data from http url as json and process it
json(
  'https://cdn.jsdelivr.net/npm/us-atlas@3.0.0/counties-10m.json'
).then((data) => {
  
  // extract countries from json data and set svg properties
  const counties = feature(data, data.objects.counties);
  svg
    .selectAll('path')
    .data(counties.features)
    .enter()
    .append('path')
    .attr('class', 'counties')
    .attr('d', (d) => pathGenerator(d))
    .append('title')
    .text(d=>d.properties.name);
});
